%define pkgname actionmailer
Summary:	Mail generator library for Ruby
Summary(pl.UTF-8):	Biblioteka do generowania listów w języku Ruby
Name:		ruby-%{pkgname}
Version:	2.3.16
Release:	1
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	dee0e45c7b0877b61a6ad0450aedbaf0
Patch0:		%{name}-vendor.patch
URL:		http://rubyforge.org/projects/actionmailer/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-actionpack >= 2.3.16
Requires:	ruby-tmail
Requires:	ruby-text-format
Obsoletes:	ruby-ActionMailer
Provides:	ruby-ActionMailer
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
Action Mailer uses the Action Pack library to generate template-driven
email.

%description -l pl.UTF-8
Action Mailer używa biblioteki Action Pack do generowania listów
elektronicznych na podstawie szablonów.

%package rdoc
Summary:	Documentation files for ActionMailer
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActionMailer
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActionMailer.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActionMailer.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

rm -r lib/action_mailer/vendor

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm -r ri/{Net,Test,Text}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{ruby_rubylibdir}/action_mailer
%{ruby_rubylibdir}/action_mailer.rb
%{ruby_rubylibdir}/actionmailer.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActionMailer
%{ruby_ridir}/MailHelper
%changelog
* Fri Feb 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-actionmailer.git;a=log;h=master

* Fri Feb 01 2013 Jan Rękorajski <baggins@pld-linux.org> a112907
- up to 2.3.16

* Wed Jan 09 2013 Jan Rękorajski <baggins@pld-linux.org> e5362eb
- up to 2.3.15

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 10ff52a
- 2.3.14

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 34f619d
- 2.3.11

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> c95ca73
- added ri package
- we have tmail and text-format in distro, so kill vendor stuff

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 85d43ea
- 2.3.5
- updated requires

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 383d579
- P:ruby-ActionMailer

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 918cdaa
- O:ruby-ActionMailer

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 9483afb
- renamed ruby-ActionMailer -> ruby-actionmailer

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 1488420
- unify ri stuff, add action_maier.rb

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 4a4a920
- up to 2.0.5

* Tue Oct 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 759d92c
- pl for -rdoc

* Tue Oct 14 2008 Elan Ruusamäe <glen@pld-linux.org> 6462f86
- rdoc subpackage

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 217dcdb
- massive attack: correct ri output path for ruby 1.8.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b61b9c5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 201d257
- converted to UTF-8

* Wed Mar 08 2006 aredridel <aredridel@pld-linux.org> 7865653
- up to 1.1.5

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> 8edde74
- change %ruby_mod_ver_requires_eq to %{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> 6c77d49
- replace R: ruby-modules with %ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> d0a73ab
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

